appealing to Apple 3.14